# PHPixie PHP Framework
<p align="center">
  <img src="https://phpixie.com/images/logo.png"/>
</p>

Website: [phpixie.com](https://phpixie.com/)

PHPixie started as a micro framework and has gradually grown to be one of the 
most popular fullstack PHP frameworks while retaining its high performance. 
This is in part because of the strict architecture that avoids common pitfalls 
such as reliance on static methods, global scope, singletons and other antipatterns, 
thus also ensuring that the code is easy to read, debug, extend and test. 
In fact all PHPixie components boast full unit test coverage. It is the PHP framework
that will never stand in your way and provides you with full control over execution 
flow, easy to learn and straightforward to master.

But it's not all just about the code. The PHPixie community is very friendly and 
helpful, you can expect getting an answer to your question within minutes of asking 
it in the chat. The framework documentation is full of examples and is regularly 
updated with tutorial videos.

## Demo
Want to see an example? Check out a simple base project implementing user and administrator authorization: https://github.com/phpixie/project-auth

![Project Demo](http://i.imgur.com/WznceCf.gif)

### Interested? [Learn PHPixie in 30 minutes](https://phpixie.com/quickstart.html)

**PHPixie will fit both newcomers and experienced architects providing ease of use, solid foundation and total flexibility.**

## Highlights
  - **Great performance** - Designed for speed while not compromising on features. Proven by [independant benchmarks](https://www.techempower.com/benchmarks/#section=data-r9&hw=peak&test=fortune&l=sg). 
  - **Bundle System** - Reuse and share your code via Composer as self contained bundles
  - **Linear code flow** - Never find yourself in an event hell ever again as event use is avoided
  - **MongoDB Support** - Database components support working with MongoDB out of the box, including relationships between SQL databases and Mongo collections.
  - **Best Practices** - Designed from scratch according to SOLID principles and industry standards.
  - **Hardened Security** - Using cryptographically secure hashes, random tokens and secure cookie handing.
  - **Developer support** - Need help? Just drop a line in the chat and get help from the creator in no time.

 
